Update Order
Updates B2B information on a specific order based on the bcOrderId provided.
The bcOrderId parameter must include a valid BigCommerce Order ID (not the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful. You must also include at least one of the following fields in the request body:
poNumberextraFields(array withfieldNameandfieldValue)- This array must be included if your store has required order extra fields.
Authentication
X-Auth-Tokenstring
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
X-Store-Hashstring
Path parameters
bcOrderId
The BigCommerce order ID.
Request
This endpoint expects an object.
poNumber
The order’s Purchase Order (PO), if used.
extraFields
Contains extra field information associated with the order.
Response
OK
code
HTTP Response Code
data
meta
Errors
404
Not Found Error
422
Unprocessable Entity Error